# Uses of Class
org.apache.felix.http.base.internal.registry.HandlerRegistry

Packages that use HandlerRegistry
Package
Description
org.apache.felix.http.base.internal.dispatch
org.apache.felix.http.base.internal.runtime.dto
org.apache.felix.http.base.internal.service
org.apache.felix.http.base.internal.whiteboard

## Uses of HandlerRegistry in org.apache.felix.http.base.internal.dispatch

Constructors in org.apache.felix.http.base.internal.dispatch with parameters of type HandlerRegistry
Modifier
Constructor
Description
``
`Dispatcher(HandlerRegistry handlerRegistry)`

## Uses of HandlerRegistry in org.apache.felix.http.base.internal.runtime.dto

Constructors in org.apache.felix.http.base.internal.runtime.dto with parameters of type HandlerRegistry
Modifier
Constructor
Description
``
`RequestInfoDTOBuilder(HandlerRegistry registry, String path)`

## Uses of HandlerRegistry in org.apache.felix.http.base.internal.service

Methods in org.apache.felix.http.base.internal.service that return HandlerRegistry
Modifier and Type
Method
Description
`@NotNull HandlerRegistry`
SharedHttpServiceImpl.`getHandlerRegistry()`
Get the handler registry
Constructors in org.apache.felix.http.base.internal.service with parameters of type HandlerRegistry
Modifier
Constructor
Description
``
`HttpServiceFactory(org.osgi.framework.BundleContext bundleContext, HandlerRegistry handlerRegistry)`
``
`HttpServiceRuntimeImpl(HandlerRegistry registry, WhiteboardManager contextManager, org.osgi.framework.BundleContext bundleContext)`
``
`SharedHttpServiceImpl(HandlerRegistry handlerRegistry)`
Create a new implementation

## Uses of HandlerRegistry in org.apache.felix.http.base.internal.whiteboard

Methods in org.apache.felix.http.base.internal.whiteboard with parameters of type HandlerRegistry
Modifier and Type
Method
Description
`boolean`
WhiteboardContextHandler.`activate(@NotNull HandlerRegistry registry)`
Activate this context.
`void`
WhiteboardContextHandler.`deactivate(@NotNull HandlerRegistry registry)`
Deactivate this context.
Constructors in org.apache.felix.http.base.internal.whiteboard with parameters of type HandlerRegistry
Modifier
Constructor
Description
``
`WhiteboardManager(org.osgi.framework.BundleContext bundleContext, HttpServiceFactory httpServiceFactory, HandlerRegistry registry)`
Create a new whiteboard http manager